import ebay_api
import json
import pdb

'''
file used to compile methods from ebay_api.py for curating training data
'''
curate = ebay_api.CurateData()
raw_data = curate.import_raw()
training = curate.to_training(raw_data) # creates raw_df
class_training = curate.class_training(training) # creates initial class_training df
nvl_training = curate.nvl_training(training) # creates initial nvl_training
dropd = curate.drop_nvl_cols(nvl_training)  # label mask
dropd

# pulls values out of lists for both dfs and creates temp_pics_source_list.txt
expanded_dfs = curate.expand_nvlclass(class_training, dropd)

expanded_class = expanded_dfs[0] # TODO still having problems with Unnamed: 0 col
expanded_dropd = expanded_dfs[1] # TODO incorrect df. Look at nvl_training func. Specifically "reindex" usage

download = input('download images?: ')
if ('y' or 'Y') in download:
    curate.dl_pictures()
else:
    pass
